package com.zhiwei.manage.bean;

import java.io.Serializable;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 数据库参数类
 * 
 * @author Administrator
 *
 */
@Document(collection = "DbTable")
public class ServerBean implements Serializable {

	private static final long serialVersionUID = -5548582868100310015L;
	@Id
	private String id;
	private String dbUsername;
	private String dbPassword;
	private String dbHost;
	private int dbPort;
	private String collection;
	private String effect;
	private String dbType;
	private String dataType;
	private String other;
	private String dbName;
	private String pt;
	private boolean table;
	private String tableKind;
	public boolean isTable() {
		return table;
	}
	public void setTable(boolean table) {
		this.table = table;
	}
	public String getTableKind() {
		return tableKind;
	}
	public void setTableKind(String tableKind) {
		this.tableKind = tableKind;
	}
	public String getPt() {
		return pt;
	}
	public void setPt(String pt) {
		this.pt = pt;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getDbUsername() {
		return dbUsername;
	}
	public void setDbUsername(String dbUsername) {
		this.dbUsername = dbUsername;
	}
	public String getDbPassword() {
		return dbPassword;
	}
	public void setDbPassword(String dbPassword) {
		this.dbPassword = dbPassword;
	}
	public String getDbHost() {
		return dbHost;
	}
	public void setDbHost(String dbHost) {
		this.dbHost = dbHost;
	}
	public int getDbPort() {
		return dbPort;
	}
	public void setDbPort(int dbPort) {
		this.dbPort = dbPort;
	}
	public String getCollection() {
		return collection;
	}
	public void setCollection(String collection) {
		this.collection = collection;
	}
	public String getEffect() {
		return effect;
	}
	public void setEffect(String effect) {
		this.effect = effect;
	}
	public String getDbType() {
		return dbType;
	}
	public void setDbType(String dbType) {
		this.dbType = dbType;
	}
	public String getDataType() {
		return dataType;
	}
	public void setDataType(String dataType) {
		this.dataType = dataType;
	}
	public String getOther() {
		return other;
	}
	public void setOther(String other) {
		this.other = other;
	}
	public String getDbName() {
		return dbName;
	}
	public void setDbName(String dbName) {
		this.dbName = dbName;
	}
	@Override
	public String toString() {
		return "ServerBean [id=" + id + ", dbUsername=" + dbUsername + ", dbPassword=" + dbPassword + ", dbHost="
				+ dbHost + ", dbPort=" + dbPort + ", collection=" + collection + ", effect=" + effect + ", dbType="
				+ dbType + ", dataType=" + dataType + ", other=" + other + ", dbName=" + dbName + "]";
	}
	
	
	

	
	
}
